Bug 197656 - rc.sysinit: cryptsetup luksOpen is used with arguments
Summary: rc.sysinit: cryptsetup luksOpen is used with arguments
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-05 12:03 UTC by Till Maas
Modified: 2014-03-17 03:00 UTC (History)
2 users (show)

Fixed In Version: 8.37-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-23 09:42:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Till Maas 2006-07-05 12:03:50 UTC
Description of problem:

In rc.sysinit line 195 cryptsetup with command luksOpen is executed
/sbin/cryptsetup $params ${key:+-d $key} luksOpen "$src" "$dst" <&1

cryptsetup with command luksopen accepts only the argument --key-file (see man 
cryptsetup)


Version-Release number of selected component (if applicable):
8.35-1

Comment 1 Miloslav Trmač 2006-07-09 02:54:25 UTC
Fixed in CVS.  Thanks for your report.

Comment 2 Miloslav Trmač 2006-07-23 09:42:57 UTC
Built in initscripts-8.37-1.


Note You need to log in before you can comment on or make changes to this bug.